# $Revision: 1.1 $, $Date: 2002/08/18 20:01:27 $
%include	/usr/lib/rpm/macros.php
%define		_class		Validate
%define		_pearname	%{_class}
Summary:	%{_pearname} - Validation class
Summary(pl):	%{_pearname} - klasa validujca
Name:		php-pear-%{_pearname}
Version:	0.0.3
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
URL:		http://pear.php.net/
BuildRequires:	rpm-php-pearprov >= 4.0.2-87
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'pear(Validate_$class)'

%description
Package to validate various datas. It includes :
 - numbers (min/max, decimal or not),
 - email (syntax, domain check),
 - string (predifined type alpha upper and/or lowercase, numeric,...),
 - date (min, max),
 - Credit cards,
 - possibility valid multiple data with a single method call
   (::multiple).

%description -l pl
Pakiet do sprawdzania poprawnoci rnych danych:
 - liczby (min/max, dziesitne czy nie),
 - email (skadnia, sprawdzanie domeny),
 - stringi (predefiniowane typy alfanumeryczne z duymi i maymi
   literami, numeryczne,...),
 - daty (min, max),
 - karty kredytowe,
 - moliwe sprawdzenie wikszej iloci danych wywoaniem pojedynczej
   metody (::multiple).

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}

install %{_pearname}-%{version}/*.php $RPM_BUILD_ROOT%{php_pear_dir}/
install %{_pearname}-%{version}/%{_class}/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{_pearname}-%{version}/tests/*
%{php_pear_dir}/*.php
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-pear-Validate.spec,v $
Revision 1.1  2002/08/18 20:01:27  blues
- initial release - STBR

